Permalink
Browse files

Updated ECHOE spec.

Now will properly re-build gemspec with EchoE.
  • Loading branch information...
1 parent 07c534f commit 4b6f169d9b3c5c7a5c48f225736210a71dc9febe @TreyE TreyE committed with tcopeland Aug 31, 2010
Showing with 27 additions and 15 deletions.
  1. +3 −2 Rakefile
  2. +24 −13 safariwatir.gemspec
View
5 Rakefile
@@ -2,12 +2,13 @@ require 'rubygems'
require 'rake'
require 'echoe'
-Echoe.new('safariwatir', '0.3.7') do | config |
+Echoe.new('safariwatir', '0.3.9u') do | config |
config.summary = %q{Automated testing tool for web applications.}
config.description = %q{WATIR stands for "Web Application Testing in Ruby". See WATIR project for more information. This is a Safari-version of the original IE-only WATIR.}
config.url = 'http://wiki.openqa.org/display/WTR/SafariWatir'
config.author = 'Dave Hoover'
config.email = 'dave@obtiva.com'
- config.ignore_pattern = ['tmp/*', 'script/*']
+ config.ignore_pattern = ['tmp/*', 'script/*', 'spec/**/**', '*.html']
config.development_dependencies = ["rb-appscript"]
+ config.runtime_dependencies = ["rb-appscript"]
end
View
37 safariwatir.gemspec
@@ -1,25 +1,36 @@
# -*- encoding: utf-8 -*-
-require 'rubygems'
-
-spec = Gem::Specification.new do |s|
+Gem::Specification.new do |s|
s.name = %q{safariwatir}
s.version = "0.3.9u"
+
s.required_rubygems_version = Gem::Requirement.new(">= 1.2") if s.respond_to? :required_rubygems_version=
- s.authors = ["Dave Hoover", "Tom Copeland"]
- s.date = Time.now.strftime("%Y-%m-%d")
+ s.authors = ["Dave Hoover"]
+ s.date = %q{2010-08-31}
s.description = %q{WATIR stands for "Web Application Testing in Ruby". See WATIR project for more information. This is a Safari-version of the original IE-only WATIR.}
s.email = %q{dave@obtiva.com}
- s.extra_rdoc_files = ["lib/safariwatir/core_ext.rb", "lib/safariwatir/element_attributes.rb", "lib/safariwatir/locators.rb", "lib/safariwatir/scripter.rb", "lib/safariwatir.rb", "lib/watir/exceptions.rb", "README.rdoc"]
- s.files = ["lib/safariwatir/core_ext.rb", "lib/safariwatir/element_attributes.rb", "lib/safariwatir/locators.rb", "lib/safariwatir/scripter.rb", "lib/safariwatir.rb", "lib/watir/exceptions.rb", "Rakefile", "README.rdoc", "safariwatir.gemspec", "safariwatir_example.rb"]
- s.has_rdoc = true
- s.homepage = %q{http://safariwatir.rubyforge.org/}
+ s.extra_rdoc_files = ["README.rdoc", "lib/safariwatir.rb", "lib/safariwatir/core_ext.rb", "lib/safariwatir/element_attributes.rb", "lib/safariwatir/locators.rb", "lib/safariwatir/scripter.rb", "lib/watir/exceptions.rb"]
+ s.files = ["History.txt", "README.rdoc", "Rakefile", "lib/safariwatir.rb", "lib/safariwatir/core_ext.rb", "lib/safariwatir/element_attributes.rb", "lib/safariwatir/locators.rb", "lib/safariwatir/scripter.rb", "lib/watir/exceptions.rb", "safariwatir.gemspec", "safariwatir_example.rb", "Manifest"]
+ s.homepage = %q{http://wiki.openqa.org/display/WTR/SafariWatir}
s.rdoc_options = ["--line-numbers", "--inline-source", "--title", "Safariwatir", "--main", "README.rdoc"]
s.require_paths = ["lib"]
s.rubyforge_project = %q{safariwatir}
- s.rubygems_version = %q{1.3.1}
+ s.rubygems_version = %q{1.3.5}
s.summary = %q{Automated testing tool for web applications.}
- s.add_dependency(%q<rb-appscript>, [">= 0"])
-end
-Gem::Builder.new(spec).build if $0 == __FILE__
+ if s.respond_to? :specification_version then
+ current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
+ s.specification_version = 3
+
+ if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
+ s.add_runtime_dependency(%q<rb-appscript>, [">= 0"])
+ s.add_development_dependency(%q<rb-appscript>, [">= 0"])
+ else
+ s.add_dependency(%q<rb-appscript>, [">= 0"])
+ s.add_dependency(%q<rb-appscript>, [">= 0"])
+ end
+ else
+ s.add_dependency(%q<rb-appscript>, [">= 0"])
+ s.add_dependency(%q<rb-appscript>, [">= 0"])
+ end
+end

0 comments on commit 4b6f169

Please sign in to comment.